classification
Title: IDLE horizontal scroll bar missing (Win-XPsp3)
Type: enhancement Stage:
Components: IDLE Versions: Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: duplicate
Dependencies: Superseder: Idle Editor: Bottom Scroll Bar
View: 1207613
Assigned To: Nosy List: NyteHawk, roger.serwy, terry.reedy
Priority: normal Keywords: easy

Created on 2012-06-22 18:36 by NyteHawk, last changed 2012-07-01 00:02 by terry.reedy. This issue is now closed.

Messages (2)
msg163452 - (view) Author: Pat (NyteHawk) Date: 2012-06-22 18:36
There is no horizontal scroll bar at the bottom of the IDLE editor window.
When a program line exceeds the window area, the window has to be widened, or text has to be manually selected beyond the window to see or edit that portion of the line.
No major problem, just a minor inconvenience.
Even with this bug, IDLE is still a great editor.
Thank you.
Pat
msg163533 - (view) Author: Roger Serwy (roger.serwy) * (Python committer) Date: 2012-06-23 06:12
Adding a horizontal scroll bar is relatively easy. This has already been done with the Horizontal.py extension as part of a separate project called IdleX. See http://idlex.sourceforge.net/extensions.html

@Terry, perhaps this should be added as an enhancement to IDLE?
History
Date User Action Args
2012-07-01 00:02:49terry.reedysetstatus: open -> closed
superseder: Idle Editor: Bottom Scroll Bar
resolution: duplicate
2012-06-23 06:12:56roger.serwysetversions: + Python 2.7, Python 3.3
nosy: + terry.reedy, roger.serwy

messages: + msg163533

keywords: + easy
type: enhancement
2012-06-22 18:36:55NyteHawkcreate